Bug 197922 - [ews-build] Add build step to Transfer archive to S3
Summary: [ews-build] Add build step to Transfer archive to S3
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-15 12:30 PDT by Aakash Jain
Modified: 2019-05-17 07:33 PDT (History)
8 users (show)

See Also:


Attachments
Patch (6.59 KB, patch)
2019-05-15 12:36 PDT, Aakash Jain
no flags Details | Formatted Diff | Diff
Patch (6.42 KB, patch)
2019-05-15 15:36 PDT, Aakash Jain
no flags Details | Formatted Diff | Diff
Patch (6.91 KB, patch)
2019-05-15 15:44 PDT, Aakash Jain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2019-05-15 12:30:59 PDT
https://bugs.webkit.org/show_bug.cgi?id=197914 add support to transfer to S3 for EWS. We should add build step to start using that.
Comment 1 Aakash Jain 2019-05-15 12:36:18 PDT
Created attachment 369983 [details]
Patch
Comment 2 Build Bot 2019-05-15 12:38:26 PDT Comment hidden (obsolete)
Comment 3 Jonathan Bedard 2019-05-15 14:33:47 PDT
Comment on attachment 369983 [details]
Patch

Patch needs to be updated after changes to <https://bugs.webkit.org/show_bug.cgi?id=197914>
Comment 4 Aakash Jain 2019-05-15 14:54:28 PDT
> Patch needs to be updated after changes to <https://bugs.webkit.org/show_bug.cgi?id=197914>
This patch is still good. We still have the --patch_id parameter in https://bugs.webkit.org/show_bug.cgi?id=197914
Comment 5 Aakash Jain 2019-05-15 14:58:23 PDT
actually need to remove --ews parameter.
Comment 6 Aakash Jain 2019-05-15 15:36:01 PDT
Created attachment 369998 [details]
Patch
Comment 7 Build Bot 2019-05-15 15:37:53 PDT Comment hidden (obsolete)
Comment 8 Aakash Jain 2019-05-15 15:44:00 PDT
Created attachment 370000 [details]
Patch
Comment 9 Build Bot 2019-05-15 15:45:58 PDT Comment hidden (obsolete)
Comment 10 WebKit Commit Bot 2019-05-16 21:30:48 PDT
Comment on attachment 370000 [details]
Patch

Rejecting attachment 370000 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 370000, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=370000&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=197922&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Updating working directory
Processing patch 370000 from bug 197922.
Fetching: https://bugs.webkit.org/attachment.cgi?id=370000
Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	Tools/BuildSlaveSupport/ews-build/steps.py

ERROR from SVN:
Item is out of date: File '/trunk/Tools/BuildSlaveSupport/ews-build/steps.py' is out of date
W: 7c96ca51f33c853306d8b8fb6b59e32aede4d6f8 and refs/remotes/origin/master differ, using rebase:
:040000 040000 7b09d0ff72efd591203a5dfe5afd5c113d0be4f4 4c70e70207a9507ed8b9edbe23cc3573d89dd666 M	Tools
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	Tools/BuildSlaveSupport/ews-build/steps.py

ERROR from SVN:
Item is out of date: File '/trunk/Tools/BuildSlaveSupport/ews-build/steps.py' is out of date
W: 7c96ca51f33c853306d8b8fb6b59e32aede4d6f8 and refs/remotes/origin/master differ, using rebase:
:040000 040000 7b09d0ff72efd591203a5dfe5afd5c113d0be4f4 4c70e70207a9507ed8b9edbe23cc3573d89dd666 M	Tools
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: https://webkit-queues.webkit.org/results/12212519
Comment 11 Aakash Jain 2019-05-17 07:32:20 PDT
Comment on attachment 370000 [details]
Patch

Clearing flags on attachment: 370000

Committed r245461: <https://trac.webkit.org/changeset/245461>
Comment 12 Aakash Jain 2019-05-17 07:32:23 PDT
All reviewed patches have been landed.  Closing bug.
Comment 13 Radar WebKit Bug Importer 2019-05-17 07:33:19 PDT
<rdar://problem/50892140>